"""Add nfdi id to user

Revision ID: 544f0c6d4bc6
Revises: e5a6e6150329
Create Date: 2025-02-05 09:17:13.449157

"""

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision: str = "544f0c6d4bc6"
down_revision: str | None = "e5a6e6150329"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("user", sa.Column("nfdi_id", sa.String(length=64), nullable=True))
    op.add_column("user", sa.Column("max_parallel_executions", mysql.TINYINT(unsigned=True), nullable=True))
    op.add_column("user", sa.Column("last_login", mysql.INTEGER(unsigned=True), nullable=True))
    op.create_index(op.f("ix_user_nfdi_id"), "user", ["nfdi_id"], unique=True)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_user_nfdi_id"), table_name="user")
    op.drop_column("user", "max_parallel_executions")
    op.drop_column("user", "nfdi_id")
    op.drop_column("user", "last_login")
    # ### end Alembic commands ###
